#
# spec file for package autofdo
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           autofdo
Version:        0.15
Release:        1.3
Summary:        A tool to convert perf.data profile to AutoFDO profile
License:        Apache-2.0
Group:          Development/Tools/Other
Url:            https://github.com/google/autofdo
Source:         https://github.com/google/%{name}/archive/v%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libopenssl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The repository contains a tool to convert perf.data profile to AutoFDO
profile that can be used by GCC and LLVM.

Each compiler is supported by a different tool. For GCC, use
'create_gcov'. For LLVM, use 'create_llvm_prof'. The two tools
have compatible command line flags. However, the outputs are
incompatible. You cannot use the profile generated for GCC in
LLVM and vice-versa.

%prep
%setup -q

%build
aclocal
automake
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/create_gcov
%{_bindir}/dump_gcov
%{_bindir}/sample_merger
%{_bindir}/profile_merger
%{_bindir}/profile_diff
%{_bindir}/profile_update
%{_bindir}/create_llvm_prof

%changelog
* Mon Oct 10 2016 mliska@suse.cz
- Initial version 0.15
